Index: admin/js/jquery/jquery.oembed.js
===================================================================
--- admin/js/jquery/jquery.oembed.js	(revision 412)
+++ admin/js/jquery/jquery.oembed.js	(revision 412)
@@ -0,0 +1,413 @@
+(function() {
+	var settings = {
+		maxWidth: null,
+		maxHeight: null,
+		embedMethod: 'auto',			// auto|append|replace
+		defaultOEmbedProvider: 'embed.ly',	// oohembed|embed.ly|none
+		allowedProviders: null,
+		disallowedProviders: null,
+		customProviders: null,			// [ new $.oembed('OEmbedProvider','customprovider', null, ['customprovider\\.com/watch.+v=[\\w-]+&?']) ]
+		greedy: false,
+		onProviderNotFound: function() {},
+		beforeEmbed: function() {},
+		afterEmbed: function() {},
+		onEmbed: function() {},
+		onError: function() {},
+		ajaxOptions: {}
+	};
+	
+	var publicMethods = {
+		init: function(url,options) {
+			$.extend(settings,options);
+			
+			internalMethods._init();
+			
+			return this.each(function(){
+				var container = $(this);
+				var resourceURL = (url != null) ? url : container.attr('href');
+				var provider = null;
+				
+				if (!options.onEmbed) {
+					settings.onEmbed = function (data) {
+						internalMethods._insertCode(this,settings.embedMethod,data);
+					};
+				}
+				
+				if (resourceURL != null) {
+					provider = publicMethods.getOEmbedProvider(resourceURL);
+					
+					if (provider != null) {
+						provider.params = internalMethods._getNormalizedParams(settings[provider.name]) || {};
+						provider.maxWidth = settings.maxWidth;
+						provider.maxHeight = settings.maxHeight;
+						internalMethods._doRequest(container,resourceURL,provider);
+					} else {
+						settings.onProviderNotFound.call(container, resourceURL);
+					}
+				}
+				
+				return container;
+			});
+		},
+		
+		OEmbedProvider: function(name,type,urlschemes,apiendpoint,callbackparameter) {
+			this.name = name;
+			this.type = type; // 'photo', 'video', 'link', 'rich', null
+			this.urlschemes = getUrlSchemes(urlschemes);
+			this.apiendpoint = apiendpoint;
+			this.callbackparameter = callbackparameter;
+			this.maxWidth = 500;
+			this.maxHeight = 400;
+			this.enable = true;
+			var i, property, regExp;
+			
+			this.matches = function (externalUrl) {
+				for (i = 0; i < this.urlschemes.length; i++) {
+					regExp = new RegExp(this.urlschemes[i], 'i');
+					if (externalUrl.match(regExp) != null) {
+						return true;
+					}
+				}
+				return false;
+			};
+			
+			this.fromJSON = function (json) {
+				for (property in json) {
+					if (property != 'urlschemes') {
+						this[property] = json[property];
+					} else {
+						this[property] = getUrlSchemes(json[property]);
+					}
+				}
+				return true;
+			};
+			
+			function getUrlSchemes(urls) {
+				if (internalMethods._isNullOrEmpty(urls)) {
+					return ['.'];
+				}
+				if ($.isArray(urls)) {
+					return urls;
+				}
+				return urls.split(';');
+			}
+		},
+		
+		getOEmbedProvider: function(url) {
+			for (var i = 0; i < providers.length; i++) {
+				if (providers[i].matches(url)) {
+					return providers[i];
+				}
+			}
+			return null;
+		}
+	};
+	
+	var internalMethods = {
+		_doRequest: function(container,url,embedProvider) {
+			$.ajax($.extend({
+				url: internalMethods._getRequestUrl(embedProvider,url),
+				type: 'get',
+				dataType: 'json',
+				cache: false,
+				timeout: 10000,
+				success:  function (data) {
+					var data = $.extend({
+						type: null,
+						version: null,
+						title: null,
+						author_name: null,
+						author_url: null,
+						provider_name: null,
+						provider_url: null,
+						cache_age: null,
+						thumbnail_url: null,
+						thumbnail_width: null,
+						thumbnail_height: null,
+						url: null,
+						width: null,
+						height: null,
+						html: null,
+						code: null
+					}, data);
+					switch (data.type) {
+						case 'photo':
+							data.code = internalMethods._getPhotoCode(data);
+							break;
+						case 'video':
+							data.code = internalMethods._getVideoCode(data);
+							break;
+						case 'rich':
+							data.code = internalMethods._getRichCode(data);
+							break;
+						case 'link':
+							data.code = internalMethods._getLinkCode(data);
+							break;
+						case 'error':
+							settings.onError.call(null,data.error_code,data.error_message);
+							break;
+					}
+					settings.beforeEmbed.call(container,data);
+					settings.onEmbed.call(container,data);
+					settings.afterEmbed.call(container,data);
+				},
+				error: settings.onError
+			},settings.ajaxOptions || {}));
+		},
+		
+		_insertCode: function(container,method,data) {
+			if (data.type == null && data.code == null) {
+				return;
+			}
+			
+			switch (method) {
+				case 'auto':
+					if (container.attr('href') == null) {
+						internalMethods._insertCode(container,'append',data);
+					}
+					else {
+						internalMethods._insertCode(container,'replace',data);
+					};
+					break;
+				case 'replace':
+					container.replaceWith(data.code);
+					break;
+				case 'append':
+					container.html(data.code);
+					break;
+			}
+		},
+		
+		_getPhotoCode: function(data) {
+			var href = null;
+			var title = null;
+			var alt = new Array();
+			
+			href = data.thumbnail_url ? data.thumbnail_url : data.url;
+			title = data.title ? data.title : '';
+			
+			if (data.provider_name) alt.push(data.provider_name);
+			if (data.author_name) alt.push(data.author_name);
+			if (data.title) alt.push(data.title);
+			
+			return $('<div>').append($('<a>').attr({
+				'href': data.url,
+				'title': title
+			}).append($('<img>').attr({
+				'src': href,
+				'title': title,
+				'alt': alt.join(' - ')
+			}))).html();
+		},
+		
+		_getVideoCode: function(data) {
+			return internalMethods._getValidHXHTMLCode(data.html,data);
+		},
+		
+		_getRichCode: function(data) {
+			return internalMethods._getValidHXHTMLCode(data.html,data);
+		},
+		
+		_getLinkCode: function(data) {
+			var title = null;
+			var alt = new Array();
+			
+			title = data.title ? data.title : '';
+			
+			if (data.provider_name) alt.push(data.provider_name);
+			if (data.author_name) alt.push(data.author_name);
+			if (data.title) alt.push(data.title);
+			
+			return $('<div>').append($('<a>').attr({
+				'href': data.url,
+				'title': title
+			}).append(title)).html();
+		},
+		
+		_getValidHXHTMLCode: function(html,data) {
+			var xhtml = '';
+			var alt = new Array();
+			if (data.provider_name) alt.push(data.provider_name);
+			if (data.author_name) alt.push(data.author_name);
+			if (data.title) alt.push(data.title);
+			
+			$(html).each(function() {
+				if (this.tagName == 'IFRAME') {
+					var attr = {
+						'src': 'data',
+						'width': 'width',
+						'height': 'height'
+					};
+					var attributes = this.attributes;
+					object = $('<object>');
+					object.attr('type','text/html');
+					for (i in attributes) {
+						if (attr.hasOwnProperty(attributes[i].name)) {
+							object.attr(attr[attributes[i].name],attributes[i].value);
+						}
+					}
+					xhtml += $('<div>').append(object.html(alt.join(' - '))).html();
+				} 
+				else if (this.tagName == 'OBJECT') {
+					if ($(this).find('embed').size() > 0) {
+						var embed = $(this).find('embed').get(0);
+						if ($.inArray('src',embed.attributes)) {
+							$(this).attr('data',embed.attributes.src.nodeValue);
+						}
+						if ($.inArray('type',embed.attributes)) {
+							$(this).attr('type',embed.attributes.type.nodeValue);
+						}
+						$(this).find('embed').remove();
+					}
+					xhtml += $('<div>').append($(this).html(alt.join(' - '))).html();
+				} else {
+					xhtml += internalMethods._getValidHXHTMLCode($('<div>').append($(html).find('iframe,object')).html(),data);
+				}
+			});
+			
+			return xhtml;
+		},
+		
+		_init: function() {
+			var provider;
+			var i;
+			
+			// If there are allowed providers, jQuery oembed can not be greedy
+			if (!internalMethods._isNullOrEmpty(settings.allowedProviders)) {
+				settings.greedy = false;
+			}
+			
+			// If there are allowed providers, jQuery oembed can not be greedy
+			// Disabled also providers
+			if (!internalMethods._isNullOrEmpty(settings.disallowedProviders)) {
+				for (i = 0; i < providers.length; i++) {
+					if ($.inArray(providers[i].name,settings.disallowedProviders)) {
+						provider.enable = false;
+					}
+				}
+				settings.greedy = false;
+			}
+			
+			if (!internalMethods._isNullOrEmpty(settings.customProviders)) {
+				$.each(settings.customProviders, function(n,customProvider) {
+					if (customProvider instanceof publicMethods.OEmbedProvider) {
+						providers.push(provider);
+					} else {
+						provider = new publicMethods.OEmbedProvider();
+						if (provider.fromJSON(customProvider)) {
+							providers.push(provider);
+						}
+					}
+				});
+			}
+			
+			// If in greedy mode, we add the default provider
+			defaultProvider = internalMethods._getDefaultOEmbedProvider(settings.defaultOEmbedProvider);
+			if (settings.greedy) {
+				providers.push(defaultProvider);
+			}
+			
+			// If any provider has no apiendpoint, we use the default provider endpoint
+			for (i = 0; i < providers.length; i++) {
+				if (providers[i].enable && providers[i].apiendpoint == null) {
+					providers[i].apiendpoint = defaultProvider.apiendpoint;
+				}
+			}
+		},
+		
+		_getDefaultOEmbedProvider: function(defaultOEmbedProvider) {
+			var url = 'http://oohembed.com/oohembed/';
+			if (defaultOEmbedProvider == 'embed.ly') {
+				url = 'http://api.embed.ly/v1/api/oembed?';
+			}
+			return new publicMethods.OEmbedProvider(defaultOEmbedProvider,null,null,url,'callback');
+		},
+		
+		_getRequestUrl: function(provider,externalUrl) {
+			var url = provider.apiendpoint, qs = "", callbackparameter = provider.callbackparameter || 'callback', i;
+			
+			if (url.indexOf('?') <= 0) {
+				url = url + '?';
+			} else {
+				url = url + '&';
+			}
+			
+			if (provider.maxWidth != null && provider.params['maxwidth'] == null) {
+				provider.params['maxwidth'] = provider.maxWidth;
+			}
+			
+			if (provider.maxHeight != null && provider.params['maxheight'] == null) {
+				provider.params['maxheight'] = provider.maxHeight;
+			}
+			
+			for (i in provider.params) {
+				// We don't want them to jack everything up by changing the callback parameter
+				if (i == provider.callbackparameter) {
+					continue;
+				}
+				
+				// allows the options to be set to null, don't send null values to the server as parameters
+				if (provider.params[i] != null) {
+					qs += '&' + escape(i) + '=' + provider.params[i];
+				}
+			}
+			
+			url += 'format=json&url=' + escape(externalUrl) +
+			qs +
+			'&' + callbackparameter + '=?';
+			
+			return url;
+		},
+		
+		_getNormalizedParams: function(params) {
+			if (params == null) {
+				return null;
+			}
+			
+			var key;
+			var normalizedParams = {};
+			
+			for (key in params) {
+				if (key != null) {
+					normalizedParams[key.toLowerCase()] = params[key];
+				}
+			}
+			return normalizedParams;
+		},
+		
+		_isNullOrEmpty: function(object) {
+			if (typeof object == 'undefined') {
+				return true;
+			} else if (object == null) {
+				return true;
+			} else if ($.isArray(object) && object.length == 0) {
+				return true;
+			} else {
+				return false;
+			}
+		}
+	};
+	
+	var providers = [
+		new publicMethods.OEmbedProvider('youtube', 'video', ['youtube\\.com/watch.+v=[\\w-]+&?', 'youtu\\.be/.*']), // 'http://www.youtube.com/oembed'	(no jsonp)
+		new publicMethods.OEmbedProvider('flickr', 'photo', ['flickr\\.com/photos/[-.\\w@]+/\\d+/?'], 'http://flickr.com/services/oembed', 'jsoncallback'),
+		new publicMethods.OEmbedProvider('viddler', 'video', ['viddler\.com']), // 'http://lab.viddler.com/services/oembed/' (no jsonp)
+		new publicMethods.OEmbedProvider('blip', 'video', ['blip\\.tv/.+'], 'http://blip.tv/oembed/'),
+		new publicMethods.OEmbedProvider('hulu', 'video', ['hulu\\.com/watch/.*'], 'http://www.hulu.com/api/oembed.json'),
+		new publicMethods.OEmbedProvider('vimeo', 'video', ['http:\/\/www\.vimeo\.com\/groups\/.*\/videos\/.*', 'http:\/\/www\.vimeo\.com\/.*', 'http:\/\/vimeo\.com\/groups\/.*\/videos\/.*', 'http:\/\/vimeo\.com\/.*'], 'http://vimeo.com/api/oembed.json'),
+		new publicMethods.OEmbedProvider('dailymotion', 'video', ['dailymotion\\.com/.+']), // 'http://www.dailymotion.com/api/oembed/' (callback parameter does not return jsonp)
+		new publicMethods.OEmbedProvider('scribd', 'rich', ['scribd\\.com/.+']), // ', 'http://www.scribd.com/services/oembed'' (no jsonp)		
+		new publicMethods.OEmbedProvider('slideshare', 'rich', ['slideshare\.net'], 'http://www.slideshare.net/api/oembed/1'),
+		new publicMethods.OEmbedProvider('photobucket', 'photo', ['photobucket\\.com/(albums|groups)/.*'], 'http://photobucket.com/oembed/')
+	];
+	
+	$.fn.oembed = function(method) {
+		if (publicMethods[method]) {
+			return publicMethods[method].apply(this,Array.prototype.slice.call(arguments,1));
+		} else if (typeof method === 'string' || !method) {
+			return publicMethods.init.apply(this,arguments);
+		} else {
+			$.error('Method ' + method + ' does not exist on jQuery.oembed');
+		}
+	};
+})(jQuery)
Index: admin/js/jquery/jquery.pageTabs.js
===================================================================
--- admin/js/jquery/jquery.pageTabs.js	(revision 297)
+++ admin/js/jquery/jquery.pageTabs.js	(revision 0)
@@ -9,7 +9,7 @@
 		breakerClassName: 'clear'
 	};
-
+	
 	var index = start_tab ? start_tab : 0;
-
+	
 	this.params = jQuery.extend(defaults,settings);
 	this.divs = jQuery('div.'+this.params.className);
@@ -20,10 +20,10 @@
 jQuery._pageTabs.prototype = {
 	items: new Array(),
-
+	
 	createList: function() {
 		if (this.divs.length <= 0) {
 			return;
 		}
-
+		
 		this.block = document.createElement('div');
 		this.block.className = this.params.listClassName;
@@ -32,5 +32,5 @@
 		this.block.appendChild(this.list);
 		var li, a;
-
+		
 		var This = this;
 		var i=0;
@@ -57,30 +57,30 @@
 			}
 		});
-
+		
 		this.breaker = document.createElement('br');
 		this.breaker.className = this.params.breakerClassName;
-
+		
 		jQuery(this.divs.get(0)).before(this.block);
 		jQuery(this.block).after(this.breaker);
 	},
-
+	
 	showDiv: function(index) {
 		var This = this;
 		var i = 0;
 		var to_trigger = null;
-
+		
 		this.divs.each(function() {
 			if ((this.id != '' && this.id == index) || i == index) {
-				jQuery(this).show(0, positionFooter);
+				jQuery(this).show();
 				This.items[i].className = This.params.listClassName+'-active';
 				to_trigger = i;
 			} else {
-				jQuery(this).hide(0, positionFooter);
+				jQuery(this).hide();
 				This.items[i].className = '';
 			}
-
+			
 			i++;
 		});
-
+		
 		if (to_trigger != null) {
 			jQuery(this.divs[to_trigger]).onetabload();
Index: admin/js/jsToolBar/jsToolBar.js
===================================================================
--- admin/js/jsToolBar/jsToolBar.js	(revision 530)
+++ admin/js/jsToolBar/jsToolBar.js	(revision 307)
@@ -44,15 +44,18 @@
 	
 	// Dragable resizing (only for gecko)
-	if (navigator.appName == 'Microsoft Internet Explorer')
+	if (this.editor.addEventListener)
 	{
-		if (this.editor.addEventListener)
-		{		
-			this.handle = document.createElement('div');
-			this.handle.className = 'jstHandle';
-			var dragStart = this.resizeDragStart;
-			var This = this;
-			this.handle.addEventListener('mousedown',function(event) { dragStart.call(This,event); },false);
-			this.editor.parentNode.insertBefore(this.handle,this.editor.nextSibling);
-		}
+		this.handle = document.createElement('div');
+		this.handle.className = 'jstHandle';
+		var dragStart = this.resizeDragStart;
+		var This = this;
+		this.handle.addEventListener('mousedown',function(event) { dragStart.call(This,event); },false);
+		// fix memory leak in Firefox (bug #241518)
+		window.addEventListener('unload',function() {
+				var del = This.handle.parentNode.removeChild(This.handle);
+				delete(This.handle);
+		},false);
+		
+		this.editor.parentNode.insertBefore(this.handle,this.editor.nextSibling);
 	}
 	
@@ -154,4 +157,16 @@
 		mode = mode || 'xhtml';
 		this.draw(mode);
+	},
+	
+	remove: function() {
+		// Empty toolbar
+		while (this.toolbar.hasChildNodes()) {
+			this.toolbar.removeChild(this.toolbar.firstChild)
+		}
+		this.toolbar.parentNode.appendChild(this.textarea);
+		this.toolbar.parentNode.removeChild(this.handle);
+		this.toolbar.parentNode.removeChild(this.editor);
+		this.toolbar.parentNode.removeChild(this.toolbar);
+		this.toolNodes = {}; // vide les raccourcis DOM/**/
 	},
 	
Index: admin/js/tiny_mce/langs/en.js
===================================================================
--- admin/js/tiny_mce/langs/en.js	(revision 307)
+++ admin/js/tiny_mce/langs/en.js	(revision 307)
@@ -0,0 +1,223 @@
+tinyMCE.addI18n({en:{
+common:{
+edit_confirm:"Do you want to use the WYSIWYG mode for this textarea?",
+apply:"Apply",
+insert:"Insert",
+update:"Update",
+cancel:"Cancel",
+close:"Close",
+browse:"Browse",
+class_name:"Class",
+not_set:"-- Not set --",
+clipboard_msg:"Copy/Cut/Paste is not available in Mozilla and Firefox.\nDo you want more information about this issue?",
+clipboard_no_support:"Currently not supported by your browser, use keyboard shortcuts instead.",
+popup_blocked:"Sorry, but we have noticed that your popup-blocker has disabled a window that provides application functionality. You will need to disable popup blocking on this site in order to fully utilize this tool.",
+invalid_data:"{#field} is invalid",
+invalid_data_number:"{#field} must be a number",
+invalid_data_min:"{#field} must be a number greater than {#min}",
+invalid_data_size:"{#field} must be a number or percentage",
+more_colors:"More colors"
+},
+colors:{
+'000000':'Black',
+'993300':'Burnt orange',
+'333300':'Dark olive',
+'003300':'Dark green',
+'003366':'Dark azure',
+'000080':'Navy Blue',
+'333399':'Indigo',
+'333333':'Very dark gray',
+'800000':'Maroon',
+'FF6600':'Orange',
+'808000':'Olive',
+'008000':'Green',
+'008080':'Teal',
+'0000FF':'Blue',
+'666699':'Grayish blue',
+'808080':'Gray',
+'FF0000':'Red',
+'FF9900':'Amber',
+'99CC00':'Yellow green',
+'339966':'Sea green',
+'33CCCC':'Turquoise',
+'3366FF':'Royal blue',
+'800080':'Purple',
+'999999':'Medium gray',
+'FF00FF':'Magenta',
+'FFCC00':'Gold',
+'FFFF00':'Yellow',
+'00FF00':'Lime',
+'00FFFF':'Aqua',
+'00CCFF':'Sky blue',
+'993366':'Brown',
+'C0C0C0':'Silver',
+'FF99CC':'Pink',
+'FFCC99':'Peach',
+'FFFF99':'Light yellow',
+'CCFFCC':'Pale green',
+'CCFFFF':'Pale cyan',
+'99CCFF':'Light sky blue',
+'CC99FF':'Plum',
+'FFFFFF':'White'
+},
+contextmenu:{
+align:"Alignment",
+left:"Left",
+center:"Center",
+right:"Right",
+full:"Full"
+},
+insertdatetime:{
+date_fmt:"%Y-%m-%d",
+time_fmt:"%H:%M:%S",
+insertdate_desc:"Insert date",
+inserttime_desc:"Insert time",
+months_long:"January,February,March,April,May,June,July,August,September,October,November,December",
+months_short:"Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec",
+day_long:"Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday,Sunday",
+day_short:"Sun,Mon,Tue,Wed,Thu,Fri,Sat,Sun"
+},
+print:{
+print_desc:"Print"
+},
+preview:{
+preview_desc:"Preview"
+},
+directionality:{
+ltr_desc:"Direction left to right",
+rtl_desc:"Direction right to left"
+},
+layer:{
+insertlayer_desc:"Insert new layer",
+forward_desc:"Move forward",
+backward_desc:"Move backward",
+absolute_desc:"Toggle absolute positioning",
+content:"New layer..."
+},
+save:{
+save_desc:"Save",
+cancel_desc:"Cancel all changes"
+},
+nonbreaking:{
+nonbreaking_desc:"Insert non-breaking space character"
+},
+iespell:{
+iespell_desc:"Run spell checking",
+download:"ieSpell not detected. Do you want to install it now?"
+},
+advhr:{
+advhr_desc:"Horizontal rule"
+},
+emotions:{
+emotions_desc:"Emotions"
+},
+searchreplace:{
+search_desc:"Find",
+replace_desc:"Find/Replace"
+},
+advimage:{
+image_desc:"Insert/edit image"
+},
+advlink:{
+link_desc:"Insert/edit link"
+},
+xhtmlxtras:{
+cite_desc:"Citation",
+abbr_desc:"Abbreviation",
+acronym_desc:"Acronym",
+del_desc:"Deletion",
+ins_desc:"Insertion",
+attribs_desc:"Insert/Edit Attributes"
+},
+style:{
+desc:"Edit CSS Style"
+},
+paste:{
+paste_text_desc:"Paste as Plain Text",
+paste_word_desc:"Paste from Word",
+selectall_desc:"Select All",
+plaintext_mode_sticky:"Paste is now in plain text mode. Click again to toggle back to regular paste mode. After you paste something you will be returned to regular paste mode.",
+plaintext_mode:"Paste is now in plain text mode. Click again to toggle back to regular paste mode."
+},
+paste_dlg:{
+text_title:"Use CTRL+V on your keyboard to paste the text into the window.",
+text_linebreaks:"Keep linebreaks",
+word_title:"Use CTRL+V on your keyboard to paste the text into the window."
+},
+table:{
+desc:"Inserts a new table",
+row_before_desc:"Insert row before",
+row_after_desc:"Insert row after",
+delete_row_desc:"Delete row",
+col_before_desc:"Insert column before",
+col_after_desc:"Insert column after",
+delete_col_desc:"Remove column",
+split_cells_desc:"Split merged table cells",
+merge_cells_desc:"Merge table cells",
+row_desc:"Table row properties",
+cell_desc:"Table cell properties",
+props_desc:"Table properties",
+paste_row_before_desc:"Paste table row before",
+paste_row_after_desc:"Paste table row after",
+cut_row_desc:"Cut table row",
+copy_row_desc:"Copy table row",
+del:"Delete table",
+row:"Row",
+col:"Column",
+cell:"Cell"
+},
+autosave:{
+unload_msg:"The changes you made will be lost if you navigate away from this page.",
+restore_content:"Restore auto-saved content.",
+warning_message:"If you restore the saved content, you will lose all the content that is currently in the editor.\n\nAre you sure you want to restore the saved content?."
+},
+fullscreen:{
+desc:"Toggle fullscreen mode"
+},
+media:{
+desc:"Insert / edit embedded media",
+edit:"Edit embedded media"
+},
+fullpage:{
+desc:"Document properties"
+},
+template:{
+desc:"Insert predefined template content"
+},
+visualchars:{
+desc:"Visual control characters on/off."
+},
+spellchecker:{
+desc:"Toggle spellchecker",
+menu:"Spellchecker settings",
+ignore_word:"Ignore word",
+ignore_words:"Ignore all",
+langs:"Languages",
+wait:"Please wait...",
+sug:"Suggestions",
+no_sug:"No suggestions",
+no_mpell:"No misspellings found.",
+learn_word:"Learn word" 
+},
+pagebreak:{
+desc:"Insert page break."
+},
+advlist:{
+types:"Types",
+def:"Default",
+lower_alpha:"Lower alpha",
+lower_greek:"Lower greek",
+lower_roman:"Lower roman",
+upper_alpha:"Upper alpha",
+upper_roman:"Upper roman",
+circle:"Circle",
+disc:"Disc",
+square:"Square"
+},
+aria:{
+rich_text_area:"Rich Text Area"
+},
+wordcount:{
+words: 'Words: '
+}
+}});
Index: admin/js/tiny_mce/plugins/dcControls/editor_plugin.js
===================================================================
--- admin/js/tiny_mce/plugins/dcControls/editor_plugin.js	(revision 445)
+++ admin/js/tiny_mce/plugins/dcControls/editor_plugin.js	(revision 445)
@@ -0,0 +1,144 @@
+(function() {
+	tinymce.create('tinymce.plugins.dcControls',{
+		// Init.
+		init: function(ed, url) {
+			var t = this;
+			var popup_link_url = 'popup_link.php';
+			var popup_media_url = 'media.php?popup=1';
+			var popup_web_media_url = 'popup_web_media.php';
+			
+			t.editor = ed;
+			
+			// Register commands
+			ed.addCommand('dcCode', function() {
+				ed.formatter.toggle('inlinecode');
+			});
+			ed.addCommand('dcQuote', function() {
+				ed.formatter.toggle('quote');
+			});
+			ed.addCommand('dcLink', function() {
+				var se = ed.selection;
+				
+				// No selection and not in link
+				if (se.isCollapsed() && !ed.dom.getParent(se.getNode(), 'A'))
+					return;
+				
+				var url = popup_link_url;
+				var node = ed.dom.getParent(se.getNode(), 'A');
+				
+				if (node == null) {
+					node = se.getNode();
+				}
+				
+				if (node.nodeName == 'A') {
+					var href= node.href || '';
+					var title = node.title || '';
+					var hreflang = node.hreflang || '';
+					url += '?href='+href+'&hreflang='+hreflang+'&title='+title;
+				}
+				ed.windowManager.open({
+					file: url,
+					width: 760,
+					height: 500,
+					inline: 1,
+					dc_popup: '',
+					alwaysRaised: 'yes',
+					dependent: 'yes',
+					toolbar: 'yes',
+					menubar: 'no',
+					resizable: 'yes',
+					scrollbars: 'yes',
+					status: 'no'
+				}, {
+					plugin_url : url
+				});
+			});
+			ed.addCommand('dcMedia', function() {
+				ed.windowManager.open({
+					file: popup_media_url,
+					width: 760,
+					height: 500,
+					inline: 1,
+					dc_popup: '',
+					alwaysRaised: 'yes',
+					dependent: 'yes',
+					toolbar: 'yes',
+					menubar: 'no',
+					resizable: 'yes',
+					scrollbars: 'yes',
+					status: 'no'
+				}, {
+					plugin_url : url
+				});
+			});
+			ed.addCommand('dcWebMedia', function() {
+				ed.windowManager.open({
+					file: popup_web_media_url,
+					width: 800,
+					height: 650,
+					inline: 1,
+					dc_popup: '',
+					alwaysRaised: 'yes',
+					dependent: 'yes',
+					toolbar: 'yes',
+					menubar: 'no',
+					resizable: 'yes',
+					scrollbars: 'yes',
+					status: 'no'
+				}, {
+					plugin_url : url
+				});
+			});
+			
+			// Register buttons
+			ed.addButton('inlinecode', {
+				title: 'dcControls.inlinecode_desc',
+				cmd: 'dcCode'
+			});
+			ed.addButton('quote', {
+				title: 'dcControls.quote_desc',
+				cmd: 'dcQuote'
+			});
+			ed.addButton('link', {
+				title: 'advanced.link_desc',
+				cmd: 'dcLink'
+			});
+			ed.addButton('media', {
+				title: 'dcControls.media_desc',
+				cmd: 'dcMedia'
+			});
+			ed.addButton('webmedia', {
+				title: 'dcControls.webmedia_desc',
+				cmd: 'dcWebMedia'
+			});
+			
+			// Init shortcuts
+			for (var s in ed.shortcuts) {
+				delete ed.shortcuts[s];
+			}
+			// Register shortcuts
+			ed.addShortcut('ctrl+alt+l', 'dcControls.link_desc', 'dcLink');
+			ed.addShortcut('ctrl+alt+m', 'dcControls.media_desc', 'dcMedia');
+			ed.addShortcut('ctrl+alt+w', 'dcControls.media_desc', 'dcWebMedia');
+			
+			// Register changes management
+			ed.onNodeChange.add(function(ed, cm, n, co) {
+				cm.setActive('inlinecode', n.nodeName == 'CODE' || ed.dom.getParent(n,'CODE'));
+				cm.setActive('quote', n.nodeName == 'Q' || ed.dom.getParent(n,'Q'));
+			});
+		},
+		
+		getInfo: function() {
+			return {
+				longname: 'Dotclear custom controls',
+				author: 'Tomtom for dotclear',
+				authorurl: 'http://dotclear.org',
+				infourl: '',
+				version: tinymce.majorVersion + "." + tinymce.minorVersion
+			};
+		}
+	});
+	
+	// Register plugin
+	tinymce.PluginManager.add('dcControls',tinymce.plugins.dcControls);
+})();
Index: admin/js/tiny_mce/plugins/dcControls/js/popup_link.js
===================================================================
--- admin/js/tiny_mce/plugins/dcControls/js/popup_link.js	(revision 329)
+++ admin/js/tiny_mce/plugins/dcControls/js/popup_link.js	(revision 329)
@@ -0,0 +1,72 @@
+tinyMCEPopup.requireLangPack();
+
+var popup_link = {
+	init: function() {
+		$('#div-entries h4').toggleWithLegend($('#div-entries').children().not('h4'),{
+			cookie: 'dcx_div_entries'
+		});
+		
+		$('#form-entries tr>td.maximal>a').click(function() {
+			$('#href').val($(this).attr('title'));
+			$('#title').val($(this).html());
+			return false;
+		});
+		
+		$('#link-insert-ok').click(function(){
+			var ed = tinyMCEPopup.editor;
+			var formatter = ed.getParam('formatter');
+			var node = ed.selection.getNode();
+			var href = $('#href').val();
+			var title = $('#title').val();
+			var hreflang = $('#hreflang').val();
+			
+			// href attribue is mandatory
+			if (href == '') {
+				$('#href').focus();
+				$('#href').backgroundFade({sColor:'#ffffff',eColor:'#ff9999',steps:50},function() {
+					$(this).backgroundFade({sColor:'#ff9999',eColor:'#ffffff'});
+				});
+				return false;
+			}
+			
+			node = ed.dom.getParent(node, 'A');
+			
+			// Insert link
+			if (node == null) {
+				ed.getDoc().execCommand('unlink', false, null);
+				tinyMCEPopup.execCommand('mceInsertLink', false, '#mce_temp_url#', {skip_undo : 1});
+		
+				elementArray = tinymce.grep(ed.dom.select("a"),function(n) {return ed.dom.getAttrib(n,'href') == '#mce_temp_url#';});
+				for (i=0; i<elementArray.length; i++) {
+					node = elementArray[i];
+					ed.dom.setAttrib(node,'href',href);
+					ed.dom.setAttrib(node,'title',title);
+					ed.dom.setAttrib(node,'hreflang',hreflang);
+				}
+			}
+			// Update link
+			else {
+				ed.dom.setAttrib(node,'href',href);
+				ed.dom.setAttrib(node,'title',title);
+				ed.dom.setAttrib(node,'hreflang',hreflang);
+			}
+			
+			// Don't move caret if selection was image
+			if (node.childNodes.length != 1 || node.firstChild.nodeName != 'IMG') {
+				ed.focus();
+				ed.selection.select(node);
+				ed.selection.collapse(0);
+				tinyMCEPopup.storeSelection();
+			}
+		
+			tinyMCEPopup.execCommand('mceEndUndoLevel');
+			tinyMCEPopup.close();
+		});
+		
+		$('#link-insert-cancel').click(function(){
+			tinyMCEPopup.close();
+		});
+	}
+};
+
+tinyMCEPopup.onInit.add(popup_link.init, popup_link);
